Name:           newlisp
Version:        10.4.3
Release:        4%{?dist}
Summary:        Lisp-like general purpose scripting

License:        GPLv3+
URL:            http://www.newlisp.org
Source0:        http://www.newlisp.org/downloads/%{name}-%{version}.tgz
Patch0:         %{name}-0002-Allow-to-override-CFLAGS.patch
Patch1:         %{name}-0003-Don-t-strip-the-resulting-binary.patch
BuildRequires:  readline-devel  
BuildRequires:  libffi-devel     

%description
Lisp-like general purpose scripting language. %{name} is well suited for 
applications in AI, web search. It also can be used for embedded systems
applications.

%prep
%setup -q
%patch0 -p1 -b .CFLAGS-override
%patch1 -p1 -b .stop-binary-strip

# Remove it from the general build and specify it on supported platforms below
sed -i.m32 's/\-m32 //' makefile_linux
sed -i.m64 's/\-m64 //' makefile_linuxLP64

%build
%configure

%if %{_lib} == lib64
CFLAGS="%{optflags} -c -DREADLINE -DSUPPORT_UTF8 -DLINUX -DNEWLISP64" \
        make -f makefile_linuxLP64_utf8 %{?_smp_mflags}
%else
CFLAGS="%{optflags} -c -DREADLINE -DSUPPORT_UTF8 -DLINUX" \
        make -f makefile_linux_utf8 %{?_smp_mflags}
%endif

%install
make install_home HOME=%{buildroot}/usr/


%files
%doc %{_datadir}/doc/*
%{_bindir}/%{name}
%{_bindir}/newlispdoc
%{_mandir}/man1/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/modules
%{_datadir}/%{name}/util/httpd-conf.lsp
%{_datadir}/%{name}/util/link.lsp
%{_datadir}/%{name}/util/nanorc
%{_datadir}/%{name}/util/%{name}.vim
%attr(0755,-,-) %{_datadir}/%{name}/util/syntax.cgi


%changelog
* Tue Jun 05 2012 Nathan Owens <ndowens[at]fedoraproject.org> 10.4.3-4
- Left out the 8 in utf8 for 32-bit makefile

* Sat Jun 02 2012 Nathan Owens <ndowens[at]fedoraproject.org> 10.4.3-3
- Re-attempt to fix missing rpm_opt_flags

* Tue May 29 2012 Dan Horák <dan[at]danny.cz> 10.4.3-2
- allow build on all arches

* Fri May 11 2012 Nathan Owe <ndowens at fedoraproject.org> 10.4.3-1
- Removed a file in %%files that doesn't exist anymore
- Updated to latest version

* Fri May 04 2012 Nathan Owe <ndowens at fedoraproject.org> 10.4.2-1
- Fixes missing RPM_OPT_FLAGS (bug #815529)
- Updated version (bug #818145)

* Tue Apr 17 2012 Nathan Owe <ndowens at fedoraproject.org> 10.4.0-4
- Rebuild with updated Allow-override-CFLAGS patch

* Tue Apr 17 2012 Nathan Owe <ndowens at fedoraproject.org> 10.4.0-3
- Fixed mixed-tabs-and-spaces warning

* Mon Apr 16 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 10.4.0-2
- Fix building from ARM

* Sat Apr 07 2012 Nathan Owe <ndowens at fedoraproject.org> 10.4.0-1
- Updated version

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 10.3.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Oct 08 2011 Nathan Owe <ndowens at fedoraproject dot org> 10.3.5-2
- Fixed %%files listing

* Tue Oct 08 2011 Nathan Owe <ndowens at fedoraproject dot org> 10.3.5-1
- Updated version

* Thu Sep 22 2011 Nathan Owe <ndowens at fedoraproject dot org> 10.3.3-3
- Re-added patches, didn't think they were no longer needed

* Thu Sep 22 2011 Nathan Owe <ndowens at fedoraproject dot org> 10.3.3-2
- Removed patches

* Thu Sep 22 2011 Nathan Owe <ndowens at fedoraproject dot org> 10.3.3-1
- Updated version
- Updated email address

* Sun Jul 24 2011 Nathan Owe <ndowens04 at yahoo.com> 10.3.2-3
- Updated License field to the correct license

* Sun Jul 24 2011 Nathan Owe <ndowens04 at yahoo.com> 10.3.2-2
- Added fixed Man page from SCM 

* Thu Jul 21 2011 Nathan Owe <ndowens04 at yahoo.com> 10.3.2-1
- Initial package
